"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_js_1 = require("./config.js");
const server_js_1 = require("./server.js");
module.exports = {
    onPreDev: async (config) => {
        const port = await (0, server_js_1.createServer)({
            config,
            serverPort: config_js_1.DEFAULT_SERVER_PORT,
            targetPort: config_js_1.DEFAULT_TARGET_PORT,
        });
        // eslint-disable-next-line no-param-reassign
        config.netlifyConfig.redirects = [
            {
                from: `/.ntlfy-dev/*`,
                to: `http://localhost:${port}/:splat`,
                status: 200,
                headers: {
                    'x-nf-hidden-proxy': 'true',
                },
            },
            ...(config.netlifyConfig.redirects || []),
        ];
    },
};
